<app-loading *ngIf="isLoadingPage"></app-loading>
<div nz-col nzXs="24" nzLg="24" class="btnAcrossPageName">
  <mb-button
    *ngIf="!isDetail"
    mbButtonSize='MEDIUM'
    mbButtonAvailableStyle='BtnCancelHasBorder'
    (click)="onCloseModal()"
    mbButtonText="{{'staffManager.recruit.action.cancel' | translate}}"
  ></mb-button>
  <mb-button
    *ngIf="isDetail"
    mbButtonSize='MEDIUM'
    mbButtonAvailableStyle='BtnCancelHasBorder'
    (click)="onCloseModal()"
    mbButtonText="{{'staffManager.recruit.action.back' | translate}}"
  ></mb-button>

  <mb-button
    *ngIf="objFunction?.approve && status?.toString() === constant.APPROVAL_STATUS[2].value &&
            pageName === constant.SCREEN_MODE.APPROVAL && isDetail"
    mbButtonSize='SMALL'
    mbButtonAvailableStyle='PRIMARY'
    mbButtonText="{{'staffManager.label.approve' | translate}}"
    (click)="approvalById(recordId)"
  ></mb-button>
  <mb-button
    *ngIf="objFunction?.approve && status?.toString() === constant.APPROVAL_STATUS[2].value &&
            pageName === constant.SCREEN_MODE.APPROVAL && isDetail"
    mbButtonSize='SMALL'
    mbButtonAvailableStyle='DEFAULT'
    (click)="openRejectForm()"
    mbButtonText="{{'staffManager.recruit.action.reject' | translate}}"
  ></mb-button>

  <mb-button mbButtonSize='SMALL' mbButtonAvailableStyle='PRIMARY'
             (click)="save()"
             *ngIf="!isDetail"
             mbButtonText="{{'staffManager.recruit.action.save' | translate}}"></mb-button>

</div>
<div class='import__employee'>
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30,30]" class="content__info" *ngIf="isDetail && status?.toString() === constant.APPROVAL_STATUS[4].value">
      <div nz-col nzXs="24" nzLg="24">
        <mb-input-text
          [mbIsTextAre]="true"
          [mbMaxLength]="500"
          mbLabelText="{{'staffManager.recruit.rejectReason' | translate}}"
          formControlName="rejectReason"></mb-input-text>
      </div>
    </div>

    <!--Thông tin công việc-->
    <div nz-row [nzGutter]='[30,0]'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'staffManager.recruit.workProcessInfo' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]="[30,30]" class="content__info">
      <!--Nhân sự ngoài-->
      <div nz-col nzXs="12" nzLg="8" class='select__employee'>
        <employee-data-picker
          [mbCanText]="true"
          [mbType]="isSubmitted && form.controls['employee'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['employee'].errors !== null"
          [mbErrors]="form.controls['employee'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.employee' | translate}}]"
          [status]="empStatus"
          [empTypeCode]="empTypeCode"
          formControlName="employee"
          [mbDisable]="isEdit"
          mbLabelText="{{'staffManager.recruit.employee' | translate}} <span class='label__required'>*</span>"
          [functionCode]="functionCodeEmp"
          [scope]="scope"
        >
        </employee-data-picker>
      </div>

      <!--Đối tượng-->
      <div nz-col nzXs="12" nzLg='8' *ngIf="!isRecruitFromOs">
        <mb-select [mbDataSelects]="listEmpTypeCode"
                   formControlName="empTypeCode"
                   (ngModelChange)="selectEmpType($event)"
                   [mbType]="isSubmitted && form.controls['empTypeCode'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['empTypeCode'].errors !== null"
                   [mbErrors]="form.controls['empTypeCode'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.personalInformation.table.empTypeName' | translate}}]"
                   mbPlaceholder="{{'staffManager.staffResearch.personalInformation.table.empTypeName' | translate}}"
                   mbLabelText="{{'staffManager.staffResearch.personalInformation.table.empTypeName' | translate}}  <span class='label__required'> *</span>"
        ></mb-select>
      </div>

      <!--Từ ngày-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-date-picker
          formControlName="fromDate"
          mbLabelText="{{'staffManager.recruit.fromDate' | translate}} <span class='label__required'>*</span>"
          mbPlaceholderText="{{'staffManager.recruit.fromDate' | translate}}"
          [mbType]="isSubmitted && form.controls['fromDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['fromDate'].errors !== null"
          [mbErrors]="form.controls['fromDate'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.fromDate' | translate }}]"
        ></mb-date-picker>
      </div>

      <!--Loại quyết định-->
      <div nz-col nzXs="12" nzLg='8'>
        <mb-select [mbDataSelects]="listDocumentType"
                   formControlName="documentTypeId"
                   mbPlaceholder="{{'staffManager.recruit.documentType' | translate}}"
                   mbLabelText="{{'staffManager.recruit.documentType' | translate}} <span class='label__required'>*</span>"
                   [mbType]="isSubmitted && form.controls['documentTypeId'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['documentTypeId'].errors !== null"
                   [mbErrors]="form.controls['documentTypeId'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.documentType' | translate }}]"
        ></mb-select>
      </div>

      <!--Số quyết định-->
      <div nz-col nzXs="12" nzLg='8'>
        <mb-input-text
          formControlName="documentNo"
          [mbMaxLength]="20"
          mbPlaceholderText="{{'staffManager.recruit.documentNo' | translate}}"
          [mbType]="isSubmitted && form.controls['documentNo'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['documentNo'].errors !== null"
          [mbErrors]="form.controls['documentNo'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.documentNo' | translate }}]"
          mbLabelText="{{'staffManager.recruit.documentNo' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>

      <!--Ngày ký quyết định-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-date-picker
          formControlName="signedDate"
          mbLabelText="{{'staffManager.recruit.signerDate' | translate}}"
          mbPlaceholderText="{{'staffManager.recruit.signerDate' | translate}}"
        ></mb-date-picker>
      </div>

      <!--Đơn vị-->
      <div nz-col nzXs='12' nzLg='8'>
        <org-data-picker
          mbLabelText="{{'staffManager.staffResearch.personalInformation.table.orgName' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['organization'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['organization'].errors !== null"
          [mbErrors]="form.controls['organization'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.personalInformation.table.orgName' | translate }}]"
          formControlName='organization'
          [functionCode]="functionCodeOrg"
          [scope]="scope"
        >
        </org-data-picker>
      </div>

      <!--Chức danh-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-select
          mbPlaceholder="{{'staffManager.staffResearch.personalInformation.table.positionName' | translate}}"
          [mbDataSelects]='listPosition'
          (mbEventSelect)="changePosition($event)"
          mbLabelText="{{'staffManager.staffResearch.personalInformation.table.positionName' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['positionId'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['positionId'].errors !== null"
          [mbErrors]="form.controls['positionId'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.personalInformation.table.positionName' | translate }}]"
          formControlName='positionId'></mb-select>
      </div>

      <!--Nhóm vị trí -->
      <div nz-col [nzXs]='12' [nzLg]='8'>
        <mb-select
          [mbDataSelects]="listPositionGroup"
          formControlName="positionGroupId"
          mbLabelText="{{'staffManager.workHisInformation.label.attributes.positionGroup' | translate}}"
          mbPlaceholder="{{'staffManager.workHisInformation.label.attributes.positionGroup' | translate}}"
        ></mb-select>
      </div>

      <!--Level-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.level' | translate}}"
          [mbDataSelects]='listLevel'
          [mbKeyValueStringType]="true"
          mbLabelText="{{'staffManager.recruit.level' | translate}}"
          formControlName='positionLevel'></mb-select>
      </div>

      <!--Loại hợp đồng-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.contractTypeName' | translate}}"
          [mbDataSelects]='listContractType'
          mbKeyLabel="name"
          mbKeyValue="contractTypeId"
          mbLabelText="{{'staffManager.recruit.contractTypeName' | translate}} <span class='label__required'>*</span>"
          formControlName='contractTypeId'
          [mbType]="isSubmitted && form.controls['contractTypeId'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['contractTypeId'].errors !== null"
          [mbErrors]="form.controls['contractTypeId'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.contractTypeName' | translate }}]"
        ></mb-select>
      </div>

      <div nz-col nzXs="24" nzLg="24" *ngIf="!isRecruitFromOs">
        <nz-switch formControlName="isKeepSenior"></nz-switch>
        <span style="margin-left: 10px">{{'staffManager.recruit.isKeepSenior' | translate}}</span>
      </div>

      <div nz-col nzXs="24" nzLg="24">
        <mb-input-text
          [mbIsTextAre]="true"
          [mbMaxLength]="500"
          mbPlaceholderText="{{'staffManager.recruit.note' | translate}}"
          mbLabelText="{{'staffManager.recruit.note' | translate}}"
          formControlName="note"></mb-input-text>
      </div>

    </div>

    <!-- Thông tin lương, phụ cấp  -->
    <div nz-row [nzGutter]='[30,0]'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label *ngIf="!hideSalaryInfo" class="input__label">{{'staffManager.recruit.salaryAndAllowanceInfo' | translate}}</label>
        <label *ngIf="hideSalaryInfo" class="input__label">{{'staffManager.recruit.amountFeeInfo' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]="[30,30]" class="content__info" *ngIf="hideSalaryInfo">
      <!--Phí dịch vụ-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-input-text
          formControlName='amountFee'
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="10"
          [num]="10"
          [mbType]="isSubmitted && form.controls['amountFee'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['amountFee'].errors !== null"
          [mbErrors]="form.controls['amountFee'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.amountFee' | translate, 'min': 1}},
            { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.amountFee' | translate }}
          ]"
          mbPlaceholderText="{{'staffManager.recruit.amountFee' | translate}}"
          mbLabelText="{{'staffManager.recruit.amountFee' | translate}}  <span class='label__required'>*</span>"
        ></mb-input-text>
      </div>
    </div>
    <div nz-row [nzGutter]="[30,30]" class="content__info" *ngIf="!hideSalaryInfo">
      <!--   Dải LCB   -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-select [mbDataSelects]="listSalaryGrade"
                   formControlName="salaryGrade"
                   mbPlaceholder="{{'staffManager.recruit.salaryGrade' | translate}}"
                   mbLabelText="{{'staffManager.recruit.salaryGrade' | translate}} <span class='label__required'>*</span>"
                   [mbType]="isSubmitted && form.controls['salaryGrade'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['salaryGrade'].errors !== null"
                   [mbErrors]="form.controls['salaryGrade'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.salaryGrade' | translate }}]"

        ></mb-select>
      </div>

      <!--   Bậc LCB   -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-select [mbDataSelects]="listSalaryRank"
                   formControlName="salaryRank"
                   mbPlaceholder="{{'staffManager.recruit.salaryRank' | translate}}"
                   mbLabelText="{{'staffManager.recruit.salaryRank' | translate}} <span class='label__required'>*</span>"
                   [mbType]="isSubmitted && form.controls['salaryRank'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['salaryRank'].errors !== null"
                   [mbErrors]="form.controls['salaryRank'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.salaryRank' | translate }}]"

        ></mb-select>
      </div>

      <!--   Mức LCB   -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="salaryAmount"
          [num]="15"
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="15"
          mbPlaceholderText="{{'staffManager.recruit.salaryAmount' | translate}}"
          mbLabelText="{{'staffManager.recruit.salaryAmount' | translate}} <span class='label__required'>*</span>"          [mbType]="isSubmitted && form.controls['salaryAmount'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['salaryAmount'].errors !== null"
          [mbErrors]="form.controls['salaryAmount'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.salaryAmount' | translate }},
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.salaryAmount' | translate, 'min': 1}},
          ]"
        ></mb-input-text>
      </div>

      <!--   Tỷ lệ hưởng LCB   -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="salaryPercent"
          appNumberic
          [num]="3"
          mbSuffixTemplate="%"
          mbPlaceholderText="{{'staffManager.recruit.salaryPercent' | translate}}"
          mbLabelText="{{'staffManager.recruit.salaryPercent' | translate}} <span class='label__required'>*</span>"          [mbType]="isSubmitted && form.controls['salaryPercent'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['salaryPercent'].errors !== null"
          [mbErrors]="form.controls['salaryPercent'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.salaryPercent' | translate }},
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.salaryPercent' | translate, 'min': 1}},
            { errorName: 'max', errorDescription: 'staffManager.validate.max' | translate: {'param': 'staffManager.recruit.salaryPercent' | translate, 'max': 100}},
          ]"
        ></mb-input-text>
      </div>

      <!--   Hệ số THS   -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="thsFactor"
          appNumberic
          [num]="3"
          mbPlaceholderText="{{'staffManager.recruit.thsFactor' | translate}}"
          mbLabelText="{{'staffManager.recruit.thsFactor' | translate}}"
          [mbType]="isSubmitted && form.controls['thsFactor'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['thsFactor'].errors !== null"
          [mbErrors]="form.controls['thsFactor'].errors"
          [mbErrorDefs]="[
            { errorName: 'max', errorDescription: 'staffManager.validate.max' | translate: {'param': 'staffManager.recruit.thsFactor' | translate, 'max': 100}},
          ]"
        ></mb-input-text>
      </div>

      <!--   Mức THS   -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="thsAmount"
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="15"
          [num]="15"
          mbPlaceholderText="{{'staffManager.recruit.thsAmount' | translate}}"
          mbLabelText="{{'staffManager.recruit.thsAmount' | translate}}"
          [mbType]="isSubmitted && form.controls['thsAmount'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['thsAmount'].errors !== null"
          [mbErrors]="form.controls['thsAmount'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.thsAmount' | translate, 'min': 1}},
          ]"
        ></mb-input-text>
      </div>

      <!--   Tỷ lệ THS   -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="thsPercent"
          appNumberic
          [num]="3"
          mbSuffixTemplate="%"
          mbPlaceholderText="{{'staffManager.recruit.thsPercent' | translate}}"
          mbLabelText="{{'staffManager.recruit.thsPercent' | translate}}"
          [mbType]="isSubmitted && form.controls['thsPercent'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['thsPercent'].errors !== null"
          [mbErrors]="form.controls['thsPercent'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.thsPercent' | translate, 'min': 1}},
            { errorName: 'max', errorDescription: 'staffManager.validate.max' | translate: {'param': 'staffManager.recruit.thsPercent' | translate, 'max': 100}},
          ]"
        ></mb-input-text>
      </div>

      <!--   Phụ cấp đãi ngộ  -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="treatmentAllowance"
          mbPlaceholderText="{{'staffManager.recruit.treatmentAllowance' | translate}}"
          mbLabelText="{{'staffManager.recruit.treatmentAllowance' | translate}}"
          [mbMaxLength]="200"
        ></mb-input-text>
      </div>

      <!--   Thưởng thành tích tháng  -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="monthlyBonus"
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="15"
          [num]="15"
          mbPlaceholderText="{{'staffManager.recruit.monthlyBonus' | translate}}"
          mbLabelText="{{'staffManager.recruit.monthlyBonus' | translate}}"
          [mbType]="isSubmitted && form.controls['monthlyBonus'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['monthlyBonus'].errors !== null"
          [mbErrors]="form.controls['monthlyBonus'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.monthlyBonus' | translate, 'min': 1}},
          ]"
        ></mb-input-text>
      </div>

      <!--   Thu nhập tháng -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="salaryMonth"
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="15"
          [num]="15"
          mbPlaceholderText="{{'staffManager.recruit.salaryMonth' | translate}}"
          mbLabelText="{{'staffManager.recruit.salaryMonth' | translate}}"
          [mbType]="isSubmitted && form.controls['salaryMonth'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['salaryMonth'].errors !== null"
          [mbErrors]="form.controls['salaryMonth'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.salaryMonth' | translate, 'min': 1}},
          ]"
        ></mb-input-text>
      </div>

      <!--   Thu nhập tháng sau khi xếp loại-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="salaryMonthByRate"
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="15"
          [num]="15"
          mbPlaceholderText="{{'staffManager.recruit.salaryMonthByRate' | translate}}"
          mbLabelText="{{'staffManager.recruit.salaryMonthByRate' | translate}}"
          [mbType]="isSubmitted && form.controls['salaryMonthByRate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['salaryMonthByRate'].errors !== null"
          [mbErrors]="form.controls['salaryMonthByRate'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.salaryMonthByRate' | translate, 'min': 1}},
          ]"
        ></mb-input-text>
      </div>

      <!--Cơ sở đề xuất-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="baseProposal"
          [mbMaxLength]="200"
          mbPlaceholderText="{{'staffManager.recruit.baseProposal' | translate}}"
          mbLabelText="{{'staffManager.recruit.baseProposal' | translate}}"
        ></mb-input-text>
      </div>

      <!--Hệ số thời hạn-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="durationFactor"
          appNumberic
          [num]="3"
          [decimals]="2"
          mbPlaceholderText="{{'staffManager.recruit.durationFactor' | translate}}"
          mbLabelText="{{'staffManager.recruit.durationFactor' | translate}}"
          [mbType]="isSubmitted && form.controls['durationFactor'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['durationFactor'].errors !== null"
          [mbErrors]="form.controls['durationFactor'].errors"
          [mbErrorDefs]="[
            { errorName: 'max', errorDescription: 'staffManager.validate.max' | translate: {'param': 'staffManager.recruit.durationFactor' | translate, 'max': 100}},
          ]"
        ></mb-input-text>
      </div>

      <!--Đánh giá/Xếp loại-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="rate"
          [mbMaxLength]="200"
          mbPlaceholderText="{{'staffManager.recruit.rate' | translate}}"
          mbLabelText="{{'staffManager.recruit.rate' | translate}}"
        ></mb-input-text>
      </div>

      <!--Tiêu chuẩn công việc-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="natureOfWork"
          [mbMaxLength]="200"
          mbPlaceholderText="{{'staffManager.recruit.natureOfWork' | translate}}"
          mbLabelText="{{'staffManager.recruit.natureOfWork' | translate}}"
        ></mb-input-text>
      </div>

      <!--Ngảy hưởng thành tích tháng-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker
          formControlName="monthlyBonusDate"
          mbLabelText="{{'staffManager.recruit.monthlyBonusDate' | translate}}"
          mbPlaceholderText="{{'staffManager.recruit.monthlyBonusDate' | translate}}"
        ></mb-date-picker>
      </div>

      <!--Cam kết thu nhập tháng-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="commitmentAmount"
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="15"
          [num]="15"
          mbPlaceholderText="{{'staffManager.recruit.commitmentAmount' | translate}}"
          mbLabelText="{{'staffManager.recruit.commitmentAmount' | translate}}"
          [mbType]="isSubmitted && form.controls['commitmentAmount'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['commitmentAmount'].errors !== null"
          [mbErrors]="form.controls['commitmentAmount'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.commitmentAmount' | translate, 'min': 1}},
          ]"
        ></mb-input-text>
      </div>

      <!--ngày hưởng thu nhập cam kết-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker
          formControlName="commitmentFromDate"
          (ngModelChange)="changeAllowanceDate('commitmentFromDate')"
          mbLabelText="{{'staffManager.recruit.commitmentFromDate' | translate}}"
          mbPlaceholderText="{{'staffManager.recruit.commitmentFromDate' | translate}}"
          [mbType]="isSubmitted && form.controls['commitmentFromDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['commitmentFromDate'].errors !== null"
          [mbErrors]="form.controls['commitmentFromDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'commitmentFromDateError', errorDescription: 'staffManager.validate.rangeDate.pareDate' | translate:
            {'fromDate': 'staffManager.recruit.commitmentFromDate' | translate, 'toDate': 'staffManager.recruit.commitmentToDate' | translate}}
          ]"
        ></mb-date-picker>
      </div>

      <!--Ngày kết thúc hưởng thu nhập cam kết-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker
          formControlName="commitmentToDate"
          (ngModelChange)="changeAllowanceDate('commitmentFromDate')"
          mbLabelText="{{'staffManager.recruit.commitmentToDate' | translate}}"
          mbPlaceholderText="{{'staffManager.recruit.commitmentToDate' | translate}}"
        ></mb-date-picker>
      </div>


      <!--Phụ cấp thu hút-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="allowanceAmount"
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="15"
          [num]="15"
          mbPlaceholderText="{{'staffManager.recruit.allowanceAmount' | translate}}"
          mbLabelText="{{'staffManager.recruit.allowanceAmount' | translate}}"
          [mbType]="isSubmitted && form.controls['allowanceAmount'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['allowanceAmount'].errors !== null"
          [mbErrors]="form.controls['allowanceAmount'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.allowanceAmount' | translate, 'min': 1}},
          ]"
        ></mb-input-text>
      </div>

      <!--Ngày hưởng PC thu hút-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker
          formControlName="allowanceFromDate"
          (ngModelChange)="changeAllowanceDate('allowanceFromDate')"
          mbLabelText="{{'staffManager.recruit.allowanceFromDate' | translate}}"
          mbPlaceholderText="{{'staffManager.recruit.allowanceFromDate' | translate}}"
          [mbType]="(isSubmitted && form.controls['allowanceFromDate'].errors) ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['allowanceFromDate'].errors !== null"
          [mbErrors]="form.controls['allowanceFromDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'allowanceFromDateError', errorDescription: 'staffManager.validate.rangeDate.pareDate' | translate:
            {'fromDate': 'staffManager.recruit.allowanceFromDate' | translate, 'toDate': 'staffManager.recruit.allowanceToDate' | translate}}
          ]"
        ></mb-date-picker>
      </div>

      <!--Ngày kết thúc hưởng PC thu hút-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker
          formControlName="allowanceToDate"
          (ngModelChange)="changeAllowanceDate('allowanceFromDate')"
          mbLabelText="{{'staffManager.recruit.allowanceToDate' | translate}}"
          mbPlaceholderText="{{'staffManager.recruit.allowanceToDate' | translate}}"
        ></mb-date-picker>
      </div>
    </div>

    <div nz-row [nzGutter]='[30,0]'>
      <div nz-col nzXs='24' nzLg='24' class="datepicker__group">
        <label class="input__label">{{'staffManager.recruit.attachFile' | translate}}</label>
        <span class='label__required'> *</span>
        <mb-upload
          (fileListChange)="onFileListChange($event)"
          [fileList]="fileList"
          [mbTypeFileAvailable]="['jpg', 'png', 'pdf', 'doc', 'docx', 'xls', 'xlsx', 'tif', 'gif']"
          [mbMultiple]="true"
          [mbMaxSize]="15"
          [mbConfig]="configUploadFile"
          [mbDisable]="isDetail"
          (docIdsDeleteChange)='removeFile($event)'
        ></mb-upload>

      </div>
    </div>

    <app-reject-common
      [isReject]="isReject"
      [id]="recordId"
      [urlRejectById]="urlReject"
      (onCloseModal)="doCloseReject($event)"
    >
    </app-reject-common>
  </form>
</div>
